import { IAuthorizationState } from './authorization/interfaces'
import { IContactsState } from './contacts/interfaces'
import { IChatsState } from './chats/interfaces'
import { IMessagesState} from './messages/interfaces'
import { IControlAppState } from './controlApp/interfaces'

export interface IState {
  messages: IMessagesState,
  contacts: IContactsState,
  chats: IChatsState,
  controlApp:IControlAppState,
  isLoading: boolean;
  authorization: IAuthorizationState
}
